package com.bocloud.cmp.driver.compute;

import com.bocloud.cmp.driver.GenericDriver;
import com.bocloud.cmp.driver.ProviderRepository;
import com.bocloud.cmp.provider.compute.FolderProvider;
import com.bocloud.common.model.BocloudResult;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;


/**
 * @ClassName: FolderDriver
 * @Description:
 * @Author lxy
 * @Date 2021/5/12 14:44
 */
@Service("folderDriver")
public class FolderDriver extends GenericDriver<FolderProvider> {
    @Autowired
    private ProviderRepository repository;

    public BocloudResult list(String vendor, String vdcName) {
        FolderProvider folderProvider = getProvider( vendor,FolderProvider.class, repository);
        if (before(folderProvider).isFailed()) {
            return new BocloudResult(false, "平台认证失败!");
        }
        return folderProvider.list(vdcName);
    }
}
