package com.bocloud.cmp.driver.f5;

import com.bocloud.cmp.driver.GenericDriver;
import com.bocloud.cmp.driver.ProviderRepository;
import com.bocloud.cmp.provider.f5.DeviceProvider;
import com.bocloud.common.model.BocloudResult;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * Created by liuyuanyuan on 2019/5/7 16:49
 */
@Service("f5DeviceDriver")
public class F5DeviceDriver extends GenericDriver<DeviceProvider> {

    @Autowired
    private ProviderRepository repository;

    public BocloudResult list(String vendor) {
        DeviceProvider deviceProvider = getProvider(vendor, DeviceProvider.class,
                repository);
        if (before(deviceProvider).isFailed()) {
            return new BocloudResult(false, "云平台认证失败!");
        }
        return deviceProvider.list();
    }
}
