package com.bocloud.cmp.driver.hmc;

import com.bocloud.cmp.driver.GenericDriver;
import com.bocloud.cmp.driver.ProviderRepository;
import com.bocloud.cmp.model.hmc.HmdPartitionModel;
import com.bocloud.cmp.provider.hmc.LogicalPartitionProvider;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class LogicalPartitionDriver extends GenericDriver<LogicalPartitionProvider> {

    @Autowired private ProviderRepository repository;

    public HmdPartitionModel create(String vendorUuid, HmdPartitionModel partition) {
        return this.getProvider(vendorUuid, LogicalPartitionProvider.class, repository).create(partition);
    }
}
